# Include jobs from external YAML files

You can include the jobs in this repository's YAML files as follows:

```yml
include:
  - 'https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/project-maven-azure-docker/webhook.yml'
  - 'https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/project-maven-azure-docker/webhook.yml'
```

## Build job:
You need to create 5 environment variables in GITLAB, most of the times everyone except CONTAINER_IMAGE are extended from the group in which the repository has been created.
- ACR_USERNAME : artifactory username
- ACR_PASSWORD : artifactory password
- ACR_URL : artifactory url
- NPM_TKN : npm token
- CONTAINER_IMAGE  : docker container image
## Webhook job: 
You need to create 3 environment variables in GITLAB, this vars are taken from the appservice Webhook URL, which can be found at the end of the "Deployment center" panel inside your app service:

Example webhook url (https://$digiconrauman:hdZFs6ZAMlqnic8JB4tRYFQqnjrecdsM0yBHrZgC026Gqs1vp6KG3Dii5uHx@digiconrauman.scm.azurewebsites.net/docker/hook) 

- AZURE_PASS: your azure user password for that azure app service : hdZFs6ZAMlqnic8JB4tRYFQqnjrecdsM0yBHrZgC026Gqs1vp6KG3Dii5uHx
- AZURE_USER: your azure user name for that azure app service **with** and extra $ at the begining : $$digiconrauman 
- AZURE_URL: the url of the azure app service webhook : digiconrauman.scm.azurewebsites.net/docker/hook

## Example
An example of a valid .gitlab-ci.yml can be:

```yml
stages:
 - build
include:
  - 'https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/project-maven-azure-docker/build.yml'
  - 'https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/project-maven-azure-docker/webhook.yml'

```
