# Include jobs from external YAML files

You can include the jobs in this repository's YAML files as follows:

```yml
include:
  - https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/python-packages/base.yml
  - https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/python-packages/pylint.yml
  - https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/python-packages/install_dependencies.yml
  - https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/python-packages/test.yml
  - https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/python-packages/pages.yml
  - https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/python-packages/artifactory.yml
```

You can include the execution order in yout .gitlab-ci.yml file as follows:

```yml
stages:
  - base
  - code_analysis
  - install_dependencies
  - test
  - deploy  # pages and artifactory upload
```

## Example

An example of a valid .gitlab-ci.yml can be:

```yml
include:
  - https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/python-packages/base.yml
  - https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/python-packages/pylint.yml
  - https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/python-packages/install_dependencies.yml
  - https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/python-packages/test.yml
  - https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/python-packages/pages.yml
  - https://git.code.tecnalia.com/digicon-webxr-store/ci-files/-/raw/master/python-packages/artifactory.yml

stages:
  - base
  - code_analysis
  - install_dependencies
  - test
  - deploy

variables:
  MODULE_FOLDER: "folder_name"   # name of the folder with the python module that will be checked by code_analysis:pylint job
```


## Gitlab badges

The [code_analysis:pylint](pylint.yml) job included in this repository checks the code and generates the log and the badge with the overall score
that can be added to the gitlab repository.

For doing so go to Settings > General > Badges and add a new badge with the following values:

Link: https://git.code.tecnalia.com/%{project_path}/-/jobs/artifacts/%{default_branch}/raw/pylint/pylint.log?job=pylint

Badge image URL: https://git.code.tecnalia.com/%{project_path}/-/jobs/artifacts/%{default_branch}/raw/pylint/pylint.svg?job=pylint
